Before importing the task into CMS, run `./prepare-for-upload.sh`.

Create the task in the AWS and fill in the following fields:

- Name: `trideni`
- Title: `Počítáme s tříděním`
- Submission format: `minimum.txt, nejcetnejsi.txt, soucet.txt`
- Feedback level: `Full`
- Maximum number of submissions: `50`
- Score mode: `Use best among all submissions (IOI 2013-2016)`

Save your changes using the "Update" button.

Upload the testcases using the "Add multiple testcases" link in the dataset config.
Select `data/testcases.zip` and check the "Public" checkbox.

Finally, fill in the following dataset configuration:

- Task type: `OutputOnly`
- Output evaluation: `Outputs are compared by a comparator`
- Output file format: `%s.txt`
- Score Type: `GroupMin`
- Score Parameters: `[[3, "minimum"], [3, "nejcetnejsi"], [4, "soucet"]]`
- Managers: upload `data/checker` (will clear the form, submit the rest first)
