mod input;
mod instruction;
mod machine;
mod parse;
mod vector;

pub use input::{parse_input, InputError};
pub use instruction::{BinaryOp, Instruction, Side};
pub use machine::Machine;
pub use parse::{parse, parse_and_format, ParseError, ParseInstructionError};
pub use vector::{Value, Vector};

#[cfg(test)]
mod tests;
