#!/usr/bin/env python3
from random import Random

KEYS = 4
MAX_INSTS = 256

line = 0


def inst(*args: str) -> int:
    global line
    print(*args)
    line += 1
    return line


id = inst("id")
input = inst("input", 1)

inst("sort", input)
is_min = inst(">", inst("left", input), input)
is_first = inst("=", id, inst("const", 0))

inst("sort", inst("+", is_min, inst("*", is_first, inst("const", 2))))

left = inst("left", input)
output = inst("if", inst("<", left, input), left, input)

random = Random(1337)
keys = []

for i in range(KEYS):
    const = inst("const", random.randrange(-(1 << 63), 1 << 63))
    keys.append(inst("*", id, const))

while line < MAX_INSTS-1:
    inst("sort", keys[line % KEYS])

inst("sort", output)
